Integrated: 8261340: Fix 'deprecated' warnings in the vmTestbase/nsk tests

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Integrated: 8261340: Fix 'deprecated' warnings in the vmTestbase/nsk tests

Harold Seigel-2
On Mon, 8 Feb 2021 19:54:03 GMT, Harold Seigel <[hidden email]> wrote:

> Please review this small fix for JDK-8261340 to clean up deprecation warnings, such as the following, in the vmTestbase/nsk tests.
>
>     warning: [dep-ann] deprecated item is not annotated with @Deprecated
>
> The change was tested by running the tests locally and checking for the warnings.  It was regression tested with tiers 1-2 on Linux, Mac OS, and Windows and tiers 3-5 on Linux x64.
>
> Thanks, Harold

This pull request has now been integrated.

Changeset: b38d5be8
Author:    Harold Seigel <[hidden email]>
URL:       https://git.openjdk.java.net/jdk/commit/b38d5be8
Stats:     17 lines in 5 files changed: 12 ins; 0 del; 5 mod

8261340: Fix 'deprecated' warnings in the vmTestbase/nsk tests

Reviewed-by: lfoltan, sspitsyn

-------------

PR: https://git.openjdk.java.net/jdk/pull/2462